Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 50081
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: ribozyme2004 [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: (no value)
Fixed in: 0.36



Subject: Unable to install the Module-Build
Date: Tue, 29 Sep 2009 09:50:48 +0800
To: bug-Module-Build [...] rt.cpan.org
From: 吴琦 <ribozyme2004 [...] gmail.com>
Download temp
application/octet-stream 8.5k

Message body not shown because it is not plain text.

Download (untitled) / with headers
text/plain 728b
Dear Sir, I meet a trouble to install the Module-Build module in my computer. I perform cpan to install it and it stopped with a information like this: Can't locate Pod/Simple.pm in @INC (@INC contains: ....) at /usr/lib/perl5/5.10.0/Pod/Man.pm line 35. BEGIN failed--compilation aborted at /usr/lib/perl5/5.10.0/Pod/Man.pm line 35. Compilation failed in require at lib/Module/Build/Base.pm line 2732. I think it may be the reason of Pod-Simple module. But when I install it with cpan I also meet the problem of "can't find the Pod/Simple.pm in @INC". It is rather strange and I don't know why this happen. I hope to get your advise and help. The attach is my install information. Hope it is useful. Yours Sincerely, Qi Wu
Subject: Re: [rt.cpan.org #50081] Unable to install the Module-Build
Date: Tue, 29 Sep 2009 23:44:27 -0700
To: bug-Module-Build [...] rt.cpan.org
From: Eric Wilhelm <enobacon [...] gmail.com>
Download (untitled) / with headers
text/plain 626b
# from 吴琦 via RT # on Monday 28 September 2009 18:51: Show quoted text
>Can't locate Pod/Simple.pm in @INC (@INC contains: ....) at >/usr/lib/perl5/5.10.0/Pod/Man.pm line 35.
Hi, It looks like the error is coming from your Pod::Man. Pod::Man requires Pod::Simple, but appears to have gotten installed without it somehow. Try reinstalling Pod::Man. Show quoted text
>... Pod-Simple module. But when I install it with cpan I also meet the >problem of "can't find the Pod/Simple.pm in @INC"
Does this also get emitted from Pod::Man? Your system might be in a state where the existing Pod::Man needs to be manually deleted and reinstalled. --Eric
Added Pod::Simple as an explicit prerequisite for manpage generation support. Patched in trunk.
Subject: Re: [rt.cpan.org #50081] Unable to install the Module-Build
Date: Fri, 13 Nov 2009 08:26:51 +0800
To: bug-Module-Build [...] rt.cpan.org
From: 吴琦 <ribozyme2004 [...] gmail.com>
Download (untitled) / with headers
text/plain 401b
Thank you very much. emm.... I use another way to solve the problem. I reinstall my OS with Ubuntu 9.10, which have no problem now. Anyway thanks a lot for your help. 2009/11/13 David Golden via RT <bug-Module-Build@rt.cpan.org> Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=50081 > > > Added Pod::Simple as an explicit prerequisite for manpage generation > support. > > Patched in trunk. > >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.